ZPOOL-OFFLINE(8)

NAME
zpool-offline - Take a physical device in a ZFS storage pool offline

SYNOPSIS
zpool offline [-f] [-t] pool device...
zpool online [-e] pool device...

DESCRIPTION

    zpool offline [-f] [-t] pool device... Takes the specified physical device offline. While the device is offline, no attempt is made to read or write to the device. This command is not applicable to spares.

    -f  Force fault. Instead of offlining the disk, put it into a faulted state. The fault will persist across imports unless the -t flag was specified.

    -t  Temporary. Upon reboot, the specified physical device reverts to its previous state.

    zpool online [-e] pool device... Brings the specified physical device online. This command is not applicable to spares.

    -e  Expand the device to use all available space. If the device is part of a mirror or raidz then all devices must be expanded before the new space will become available to the pool.

SEE ALSO
zpool-detach(8), zpool-remove(8), zpool-reopen(8), zpool-resilver(8)